import json
import emod_api.interventions.outbreak as ob
from emod_api.interventions.common import ScheduledCampaignEvent


def generate_multiple_outbreak_waves(camp, start_day: list, property_group: list = None, coverage=1):
    """
    Generate Multiple outbreaks
    """

    for day, prop_grp in zip(start_day, property_group):
        event = ScheduledCampaignEvent(camp=camp, Start_Day=day, Property_Restrictions=prop_grp,
                                       Demographic_Coverage=coverage,
                                       Intervention_List=[
                                           ob.seed_by_coverage(campaign_builder=camp, timestep=day, coverage=coverage,
                                                               intervention_only=True)])
        camp.add(event)
    return camp
